Page MenuHomePhabricator

Mention potentially missing </ref> tag in Cite error message
Closed, ResolvedPublic

Description

Consider the following wiki text

Sample Text 1<ref>Reference 1</ref>

Sample Text 2<ref>Reference 2

References

<references/>


Even the references tag exists, the error message in en.wikipedia is

"Cite error: There are <ref> tags on this page, but the references will not show without a {{Reflist}} template or a <references /> tag; see the help page."

Other wikis (for eg. ml.wikipedia) also share the similar error message.

Please add, "Or missing </ref> tag" in the message.


Version: master
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=21798

Details

Reference
bz45415

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:26 AM
bzimport set Reference to bz45415.
Vssun created this task.Feb 26 2013, 9:46 AM

Adding just "Or missing </ref> tag" might be confusing, how about adding "Also, a closing </ref> tag may be missing." ?

Vssun added a comment.Feb 27 2013, 9:33 AM

Thats fine

Change 78652 had a related patch set uploaded by Nemo bis:
Mention potentially missing </ref> tag in Cite error message

https://gerrit.wikimedia.org/r/78652

Change 78652 merged by jenkins-bot:
Mention potentially missing </ref> tag in Cite error message

https://gerrit.wikimedia.org/r/78652

Approved by Nikerabbit.

The English Wikipedia uses custom messages, so this patch won't change the message there. Looking at the patch, I don't see translations. The English Wikipedia uses {{broken ref}} to format the messages for the top languages.

It would be better to fix bug 21798 and give the proper error when the last </ref> is missing.

(In reply to comment #6)

The English Wikipedia uses custom messages, so this patch won't change the
message there. Looking at the patch, I don't see translations. The English
Wikipedia uses {{broken ref}} to format the messages for the top languages.

Translations will be updated on translatewiki.net; you can ask an update on en.wiki on the talk page of the message, with {{editprotected}}.